<?php
declare(strict_types=1);

namespace App\Controller;
use Cake\Event\EventInterface;
use Cake\Datasource\ConnectionManager;

/**
 * Lands Controller
 *
 * @property \App\Model\Table\LandsTable $Lands
 * @method \App\Model\Entity\Land[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class LandsController extends AppController
{



    /**
     * Index method
     *
     * @return \Cake\Http\Response|null|void Renders view
     */
    public function index($mouza_id = '1,2,3,4,5,6,7,8')
    {
        $this->paginate = [
            'contain' => ['Mouzas', 'Owners', 'LandsDistributions'],
            'order' => ['id' => 'desc'],
            'limit' => 100,
        ];
        $lands = $this->paginate($this->Lands->find()->where(["mouza_id IN ($mouza_id)"]));

        $this->set(compact('lands'));
    }

    /**
     * View method
     *
     * @param string|null $id Land id.
     * @return \Cake\Http\Response|null|void Renders view
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function view($id = null)
    {
        $land = $this->Lands->get($id, [
            'contain' => ['Mouzas', 'Owners'],
        ]);

        $this->set(compact('land'));
    }

    /**
     * Add method
     *
     * @return \Cake\Http\Response|null|void Redirects on successful add, renders view otherwise.
     */
    public function add()
    {
        $land = $this->Lands->newEmptyEntity();
        if ($this->request->is('post')) {
            $newData = $this->request->getData();
            $newData['owners']['_ids'] = array_keys(array_filter($newData['owner']['_ids']));
            $newData['bought_date'] = date('Y-m-d', strtotime($newData['bought_date']));
            ///pr($newData); exit;
            /*pr($newData);
            foreach ($newData['owners']['_ids'] as $owner) {
                $ownerDetails = $this->fetchTable('Owners')->get($owner);
                // get all wives (relation ID: 1)
                $wives = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 1])->contain(['Owners'])->all()?->toArray();
                // get all sons  (relation ID: 2)
                $sons = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 2])->contain(['Owners'])->all()?->toArray();
                // get all daughters (relation ID: 3)
                $daughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                // get all brothers (relation ID: 4)
                $brothers = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 4])->contain(['Owners'])->all()?->toArray();
                // get all sisters (relation ID: 5)
                $sisters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 5])->contain(['Owners'])->all()?->toArray();

                pr($ownerDetails);
                pr($wives);
                pr($sons);
                pr($daughters);
                pr($brothers);
                pr($sisters);
                echo "<br>++++++++++++++++++++++++++++++++++++++++++++++++<br>";
                //exit;
            }
            exit;*/
            $land = $this->Lands->patchEntity($land, $newData);
            if ($this->Lands->save($land)) {
                $land_id = $land->id;
                $totalLand = (float)$newData['total_land'];
                $eachOwnerPortion = $totalLand / count($newData['owners']['_ids']);
                //echo "Each one portion = {$eachOwnerPortion} <br>";
                // distributed land
                foreach ($newData['owners']['_ids'] as $owner) {
                    $ownerDetails = $this->fetchTable('Owners')->get($owner);
                    // update total lands
                    $connection = ConnectionManager::get('default');
                    $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$eachOwnerPortion} WHERE `id` = {$owner}");
                    if ($ownerDetails['will_distribute'] == '1') {
                        if ($ownerDetails['sons'] > 0) {
                            // wife's portion
                            if ( ($ownerDetails['gender'] == 'm') && ($ownerDetails['is_root'] == '1') ) {
                                $wifePortion = $eachOwnerPortion / 8;
                                $eachWifePortion = number_format($wifePortion / $ownerDetails['spouse'], 4, '.', '');

                                // distribute to his wives first then distribute to his children, sister and brothers
                                // get all wives (relation ID: 1)
                                $wives = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 1])->contain(['Owners'])->all()?->toArray();
                                foreach ($wives as $wife) {
                                    // update total lands
                                    $connection = ConnectionManager::get('default');
                                    $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$eachWifePortion} WHERE `id` = {$wife['owner_id']}");
                                    // Save LandsDistributions
                                    $distribution = [];
                                    $distribution['land_id'] = $land_id;
                                    $distribution['mouza_id'] = $newData['mouza_id'];
                                    $distribution['owner_id'] = $wife['owner_id'];
                                    $distribution['got_from'] = $owner;
                                    $distribution['amount'] = $eachWifePortion;
                                    $distribution['details'] = "<code>{$wife['owner']['name']}</code> স্ত্রী হিসেবে স্বামী <code>{$ownerDetails['name']}</code> থেকে <code>{$eachWifePortion}</code> শতাংশ পাবেন";
                                    $tModel = $this->fetchTable('LandsDistributions');
                                    $entity = $tModel->newEmptyEntity();
                                    $entity = $tModel->patchEntity($entity, $distribution);
                                    $tModel->save($entity);
                                    // will wife property will distribute?
                                    if ($wife['owner']['will_distribute'] == '1') {
                                        $totalShare = $wife['owner']['sons'] * 2 + $wife['owner']['daughters'];
                                        $eachShare = $eachWifePortion / $totalShare;
                                        $eachShare = number_format($eachShare, 4, '.', '');
                                        // get all sons
                                        $wivesSons = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $wife['owner_id'], 'relation_id' => 2])->contain(['Owners'])->all()?->toArray();
                                        foreach ($wivesSons as $wivesSon) {
                                            $got = $eachShare * 2; // 1 son = 2 daughters
                                            // update total lands
                                            $connection = ConnectionManager::get('default');
                                            $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$wivesSon['owner_id']}");
                                            // Save LandsDistributions
                                            $distribution = [];
                                            $distribution['land_id'] = $land_id;
                                            $distribution['mouza_id'] = $newData['mouza_id'];
                                            $distribution['owner_id'] = $wivesSon['owner_id'];
                                            $distribution['got_from'] = $wife['owner_id'];
                                            $distribution['amount'] = $got;
                                            $distribution['details'] = "<code>{$wivesSon['owner']['name']}</code> ছেলে হিসেবে মাতা <code>{$wife['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                            $tModel = $this->fetchTable('LandsDistributions');
                                            $entity = $tModel->newEmptyEntity();
                                            $entity = $tModel->patchEntity($entity, $distribution);
                                            $tModel->save($entity);
                                        }
                                        // get all daughters
                                        $wivesDaughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $wife['owner_id'], 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                                        foreach ($wivesDaughters as $wivesDaughter) {
                                            $got = $eachShare; // 1 son = 2 daughters
                                            // update total lands
                                            $connection = ConnectionManager::get('default');
                                            $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$wivesDaughter['owner_id']}");
                                            // Save LandsDistributions
                                            $distribution = [];
                                            $distribution['land_id'] = $land_id;
                                            $distribution['mouza_id'] = $newData['mouza_id'];
                                            $distribution['owner_id'] = $wivesDaughter['owner_id'];
                                            $distribution['got_from'] = $wife['owner_id'];
                                            $distribution['amount'] = $got;
                                            $distribution['details'] = "<code>{$wivesDaughter['owner']['name']}</code> মেয়ে হিসেবে মাতা <code>{$wife['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                            $tModel = $this->fetchTable('LandsDistributions');
                                            $entity = $tModel->newEmptyEntity();
                                            $entity = $tModel->patchEntity($entity, $distribution);
                                            $tModel->save($entity);
                                        }
                                    }
                                }
                                $restPart = $eachOwnerPortion - $wifePortion;
                            }else {
                                $restPart = $eachOwnerPortion;
                            }


                            //+++++++++++++++++++ distribute this rest land to his sons and daughters +++++++++++++++++++++++++++++++
                            $totalSonsAndDaughtersShare = $ownerDetails['sons'] * 2 + $ownerDetails['daughters'];
                            $eachShare = $restPart / $totalSonsAndDaughtersShare;
                            $eachShare = number_format($eachShare, 4, '.', '');
                            // get all sons
                            $ownerSons = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 2])->contain(['Owners'])->all()?->toArray();
                            foreach ($ownerSons as $ownerSon) {
                                $got = $eachShare * 2; // 1 son = 2 daughters
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerSon['owner_id']}");
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $ownerSon['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $got;
                                $distribution['details'] = "<code>{$ownerSon['owner']['name']}</code> ছেলে হিসেবে পিতা <code>{$ownerDetails['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                            }
                            // get all daughters
                            $ownerDaughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                            foreach ($ownerDaughters as $ownerDaughter) {
                                $got = $eachShare; // 1 son = 2 daughters
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerDaughter['owner_id']}");
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $ownerDaughter['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $got;
                                $distribution['details'] = "<code>{$ownerDaughter['owner']['name']}</code> মেয়ে হিসেবে পিতা <code>{$ownerDetails['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                            }

                        } else {
                            // if no son then 6/16 will get sister and brothers...then  10/16 / 8 wife then rest will get daughters
                            $tenthSixth = 6/16 * $eachOwnerPortion; // for brother and sister
                            $shareForSistersAndBrothers = $ownerDetails['brothers'] * 2 + $ownerDetails['sisters'];
                            $eachShare = $tenthSixth / $shareForSistersAndBrothers;
                            $eachShare = number_format($eachShare, 4, '.', '');
                            // get all brothers
                            $ownerBrothers = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 4])->contain(['Owners'])->all()?->toArray();
                            foreach ($ownerBrothers as $ownerBrother) {
                                $got = $eachShare * 2; // 1 son = 2 daughters
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerBrother['owner_id']}");
                                //echo "UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerBrother['owner_id']} <br>";
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $ownerBrother['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $got;
                                $distribution['details'] = "<code>{$ownerBrother['owner']['name']}</code> তার ভাই <code>{$ownerDetails['name']}</code> থেকে ছেলে না থাকার কারণে <code>{$got}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                                // Distribute this into Brothers Sons and Daughters


                                $totalSonsAndDaughtersShareA = $ownerBrother['owner']['sons'] * 2 + $ownerBrother['owner']['daughters'];
                                $eachShareA = $got / $totalSonsAndDaughtersShareA;
                                $eachShareA = number_format($eachShareA, 4, '.', '');
                                // get all sons
                                $ownerBrotherSons = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $ownerBrother['owner_id'], 'relation_id' => 2])->contain(['Owners'])->all()?->toArray();
                                foreach ($ownerBrotherSons as $ownerBrotherSon) {
                                    $gotA = $eachShareA * 2; // 1 son = 2 daughters
                                    // update total lands
                                    $connection = ConnectionManager::get('default');
                                    $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerBrotherSon['owner_id']}");
                                    // Save LandsDistributions
                                    $distribution = [];
                                    $distribution['land_id'] = $land_id;
                                    $distribution['mouza_id'] = $newData['mouza_id'];
                                    $distribution['owner_id'] = $ownerBrotherSon['owner_id'];
                                    $distribution['got_from'] = $ownerBrother['owner_id'];
                                    $distribution['amount'] = $gotA;
                                    $distribution['details'] = "<code>{$ownerBrotherSon['owner']['name']}</code> তার পিতা <code>{$ownerBrother['owner']['name']}</code> থেকে <code>{$gotA}</code> শতাংশ পাবেন। <code>{$ownerBrother['owner']['name']}</code> তার পুত্রবিহীন ভাই <code>{$ownerDetails['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                    $tModel = $this->fetchTable('LandsDistributions');
                                    $entity = $tModel->newEmptyEntity();
                                    $entity = $tModel->patchEntity($entity, $distribution);
                                    $tModel->save($entity);
                                }
                                // get all daughters
                                $ownerBrotherDaughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $ownerBrother['owner_id'], 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                                foreach ($ownerBrotherDaughters as $ownerBrotherDaughter) {
                                    $gotA = $eachShareA; // 1 son = 2 daughters
                                    // update total lands
                                    $connection = ConnectionManager::get('default');
                                    $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerBrotherDaughter['owner_id']}");
                                    //echo "UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerBrotherDaughter['owner_id']} <br>";
                                    // Save LandsDistributions
                                    $distribution = [];
                                    $distribution['land_id'] = $land_id;
                                    $distribution['mouza_id'] = $newData['mouza_id'];
                                    $distribution['owner_id'] = $ownerBrotherDaughter['owner_id'];
                                    $distribution['got_from'] = $ownerBrother['owner_id'];
                                    $distribution['amount'] = $gotA;
                                    $distribution['details'] = "<code>{$ownerBrotherDaughter['owner']['name']}</code> তার পিতা <code>{$ownerBrother['owner']['name']}</code> থেকে <code>{$gotA}</code> শতাংশ পাবেন। <code>{$ownerBrother['owner']['name']}</code> তার পুত্রবিহীন ভাই <code>{$ownerDetails['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                    $tModel = $this->fetchTable('LandsDistributions');
                                    $entity = $tModel->newEmptyEntity();
                                    $entity = $tModel->patchEntity($entity, $distribution);
                                    $tModel->save($entity);
                                }

                            }
                            // get all Sisters
                            $ownerSisters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 5])->contain(['Owners'])->all()?->toArray();
                            foreach ($ownerSisters as $ownerSister) {
                                $got = $eachShare; // 1 son = 2 daughters
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerSister['owner_id']}");
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $ownerSister['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $got;
                                $distribution['details'] = "<code>{$ownerSister['owner']['name']}</code> তার পুত্রবিহীন ভাই <code>{$ownerDetails['name']}</code> থেকে বোন হিসেবে <code>{$got}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                            }

                            // Total Rest Land for this Son less Owner
                            $restLands = $eachOwnerPortion - $tenthSixth;
                            // for wives
                            $wifePortion = $restLands / 8;
                            $eachWifePortion = $wifePortion / $ownerDetails['spouse'];
                            $eachWifePortion = number_format($eachWifePortion, 4, '.', '');

                            // get all wives (relation ID: 1)
                            $wives = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 1])->contain(['Owners'])->all()?->toArray();
                            foreach ($wives as $wife) {
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$eachWifePortion} WHERE `id` = {$wife['owner_id']}");
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $wife['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $eachWifePortion;
                                $distribution['details'] = "<code>{$wife['owner']['name']}</code> স্ত্রী হিসেবে <code>{$ownerDetails['name']}</code> থেকে <code>{$eachWifePortion}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                                // will wife property will distribute?
                                if ($wife['owner']['will_distribute'] == '1') {
                                    //$totalShare = $wife['owner']['daughters'];
                                    $eachShare = $eachWifePortion / $wife['owner']['daughters'];
                                    $eachShare = number_format($eachShare, 4, '.', '');
                                    // get all daughters
                                    $wivesDaughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $wife['owner_id'], 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                                    foreach ($wivesDaughters as $wivesDaughter) {
                                        $got = $eachShare; // 1 son = 2 daughters
                                        // update total lands
                                        $connection = ConnectionManager::get('default');
                                        $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$wivesDaughter['owner_id']}");
                                        // Save LandsDistributions
                                        $distribution = [];
                                        $distribution['land_id'] = $land_id;
                                        $distribution['mouza_id'] = $newData['mouza_id'];
                                        $distribution['owner_id'] = $wivesDaughter['owner_id'];
                                        $distribution['got_from'] = $wife['owner_id'];
                                        $distribution['amount'] = $got;
                                        $distribution['details'] = "<code>{$wivesDaughter['owner']['name']}</code> মেয়ে হিসেবে মাতা <code>{$wife['owner']['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                        $tModel = $this->fetchTable('LandsDistributions');
                                        $entity = $tModel->newEmptyEntity();
                                        $entity = $tModel->patchEntity($entity, $distribution);
                                        $tModel->save($entity);
                                    }
                                }
                            }
                            // ++++++++++++ Rest Land for Daughters +++++++++++++++
                            $restPart = $eachOwnerPortion - $wifePortion;
                            $eachDaughterWillGet = $restPart / $ownerDetails['daughters'];
                            $eachDaughterWillGet = number_format($eachDaughterWillGet, 4, '.', '');
                            // get all daughters
                            $ownerDaughters = $this->fetchTable('OwnersRelations')->find()->where(['parent_id' => $owner, 'relation_id' => 3])->contain(['Owners'])->all()?->toArray();
                            foreach ($ownerDaughters as $ownerDaughter) {
                                $got = $eachDaughterWillGet; // 1 son = 2 daughters
                                // update total lands
                                $connection = ConnectionManager::get('default');
                                $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$got} WHERE `id` = {$ownerDaughter['owner_id']}");
                                // Save LandsDistributions
                                $distribution = [];
                                $distribution['land_id'] = $land_id;
                                $distribution['mouza_id'] = $newData['mouza_id'];
                                $distribution['owner_id'] = $ownerDaughter['owner_id'];
                                $distribution['got_from'] = $owner;
                                $distribution['amount'] = $got;
                                $distribution['details'] = "<code>{$ownerDaughter['owner']['name']}</code> মেয়ে হিসেবে পিতা <code>{$ownerDetails['name']}</code> থেকে <code>{$got}</code> শতাংশ পাবেন";
                                $tModel = $this->fetchTable('LandsDistributions');
                                $entity = $tModel->newEmptyEntity();
                                $entity = $tModel->patchEntity($entity, $distribution);
                                $tModel->save($entity);
                            }
                        }
                    } else { // LandOwners who got lands from their father directly. So those will not distribute
                        // update total lands
                        $connection = ConnectionManager::get('default');
                        $connection->execute("UPDATE `owners` set `total_land` = `total_land` + {$eachOwnerPortion} WHERE `id` = {$owner}");
                        // Save LandsDistributions
                        $distribution = [];
                        $distribution['land_id'] = $land->id;
                        $distribution['mouza_id'] = $newData['mouza_id'];
                        $distribution['owner_id'] = $owner;
                        $distribution['got_from'] = $owner;
                        $distribution['amount'] = $eachOwnerPortion;
                        $distribution['details'] = "<code>{$ownerDetails['name']}</code> কে সরাসরি লিখে দিয়েছেন";
                        $tModel = $this->fetchTable('LandsDistributions');
                        $entity = $tModel->newEmptyEntity();
                        $entity = $tModel->patchEntity($entity, $distribution);
                        $tModel->save($entity);
                    }
                }

                $this->Flash->success(__('The land has been saved.'));
                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The land could not be saved. Please, try again.'. print_r($land->getErrors(),true)));
        }
        $mouzas = $this->Lands->Mouzas->find('list', ['limit' => 200])->all();
        $owners = $this->fetchTable('Owners')->find()->select(['id', 'name'])->where(['is_root' => '1'])->all()->toArray();
        //pr($owners); exit();
        $this->set(compact('land', 'mouzas', 'owners'));
    }

    /**
     * Edit method
     *
     * @param string|null $id Land id.
     * @return \Cake\Http\Response|null|void Redirects on successful edit, renders view otherwise.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function edit($id = null)
    {
        $land = $this->Lands->get($id, [
            'contain' => ['Owners'],
        ]);
        if ($this->request->is(['patch', 'post', 'put'])) {
            $land = $this->Lands->patchEntity($land, $this->request->getData());
            if ($this->Lands->save($land)) {
                $this->Flash->success(__('The land has been saved.'));

                return $this->redirect(['action' => 'index']);
            }
            $this->Flash->error(__('The land could not be saved. Please, try again.'));
        }
        $mouzas = $this->Lands->Mouzas->find('list', ['limit' => 200])->all();
        $owners = $this->fetchTable('Owners')->find()->select(['id', 'name'])->where(['is_root' => '1'])->all()->toArray();
        $this->set(compact('land', 'mouzas', 'owners'));
    }

    /**
     * Delete method
     *
     * @param string|null $id Land id.
     * @return \Cake\Http\Response|null|void Redirects to index.
     * @throws \Cake\Datasource\Exception\RecordNotFoundException When record not found.
     */
    public function delete($id = null)
    {
        $this->request->allowMethod(['post', 'delete']);
        $land = $this->Lands->get($id);
        if ($this->Lands->delete($land)) {
            $this->Flash->success(__('The land has been deleted.'));
        } else {
            $this->Flash->error(__('The land could not be deleted. Please, try again.'));
        }

        return $this->redirect(['action' => 'index']);
    }
}
