<?php
declare(strict_types=1);

namespace App\Controller;

use Cake\Datasource\ConnectionManager;

/**
 * Owners Controller
 *
 * @property \App\Model\Table\OwnersTable $Owners
 * @method \App\Model\Entity\Owner[]|\Cake\Datasource\ResultSetInterface paginate($object = null, array $settings = [])
 */
class SearchesController extends AppController
{


    public function index()
    {

        if ($this->request->is('post')) {
            $postData = $this->request->getData();
            //pr($postData);
            //pr($land);
            //exit;
            //$land = $this->fetchTable('Lands')->find()->where([]);
             // 'YourModel.field1 LIKE' => '%' . $searchTerm . '%',
            $conditions = [];
            $owners = [];

            foreach ($postData['owner']['_ids'] as $owner => $checked) {
                if ($checked) {
                    $owners[] = $owner;
                }
            }
            $landId = [];
            if (count($owners) > 0) {
                $o = implode(',', $owners);
                $connection = ConnectionManager::get('default');
                $ownerL = $connection->execute("select land_id from lands_owners where owner_id IN ($o)")->fetchAll();
                if (is_array($ownerL)) {
                    foreach ($ownerL as $own) {
                        $landId[] = $own[0];
                    }
                }
            }
            if (count($landId) > 0) {
                $conditions['Lands.id IN'] = $landId;
            }




            if ($postData['mouza_id'] > 0) {
                $conditions['mouza_id'] = $postData['mouza_id'];
            }

            if ($postData['dag_number'] != '') {
                $mDags = rtrim(ltrim(trim($postData['dag_number']),','),',');
                $mDagArray = explode(',',$mDags);
                $conds = '';
                foreach ($mDagArray as $dag) {
                    $conds .= " daag_no_hal LIKE '%,{$dag},%' OR daag_no_old LIKE '%,{$dag},%' OR";
                }
                $conditions['OR'] = rtrim($conds, ' OR');
                //$conditions['OR'] = " ( daag_no_hal LIKE '%{$postData['dag_number']}%' OR daag_no_old LIKE '%{$postData['dag_number']}%' ) ";
            }

            if ($postData['dolil_no'] != '') {
                $conditions['OR'] = " ( dolil_no = '{$postData['dolil_no']}' OR serial_no = '{$postData['dolil_no']}')";
            }

            if ($postData['bought_from'] != '') {
                $conditions['AND'] = "bought_from LIKE '%{$postData['bought_from']}%' ";
            }

            $lands = $this->fetchTable('Lands')->find()->where($conditions)->contain(['Mouzas', 'Owners', 'LandsDistributions']);
            //pr($lands); exit;
            $this->set(compact('lands', 'postData'));

        }

        $mouzas = $this->fetchTable('Mouzas')->find('list', ['limit' => 200])->all();
        $owners = $this->fetchTable('Owners')->find()->select(['id', 'name'])->where(['is_root' => '1'])->all()->toArray();
        $this->set(compact('mouzas', 'owners'));

    }


}
