<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Land Entity
 *
 * @property int $id
 * @property int|null $mouza_id
 * @property string|null $dolil_no
 * @property string|null $serial_no
 * @property string|null $daag_no_hal
 * @property string|null $daag_no_old
 * @property string|null $total_land
 * @property string|null $kaate
 * @property string|null $tax_ok
 * @property string|null $khariz_ok
 * @property string|null $khatian_no
 * @property \Cake\I18n\FrozenDate|null $bought_date
 * @property string|null $bought_year
 * @property string|null $bought_from
 * @property string|null $seller_father_name
 * @property string|null $seller_address
 * @property string|null $amount
 * @property string|null $details
 *
 * @property \App\Model\Entity\Mouza|null $mouza
 * @property \App\Model\Entity\LandsDistribution[] $lands_distributions
 * @property \App\Model\Entity\Owner[] $owners
 */
class Land extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'mouza_id' => true,
        'dolil_no' => true,
        'serial_no' => true,
        'daag_no_hal' => true,
        'daag_no_old' => true,
        'total_land' => true,
        'kaate' => true,
        'tax_ok' => true,
        'khariz_ok' => true,
        'khatian_no' => true,
        'bought_date' => true,
        'bought_year' => true,
        'bought_from' => true,
        'seller_father_name' => true,
        'seller_address' => true,
        'amount' => true,
        'details' => true,
        'mouza' => true,
        'lands_distributions' => true,
        'owners' => true,
    ];
}
