<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * LandsDistribution Entity
 *
 * @property int $id
 * @property int|null $mouza_id
 * @property int|null $land_id
 * @property int|null $owner_id
 * @property int|null $got_from
 * @property string|null $amount
 * @property string|null $details
 *
 * @property \App\Model\Entity\Mouza|null $mouza
 * @property \App\Model\Entity\Land|null $land
 * @property \App\Model\Entity\Owner|null $owner
 */
class LandsDistribution extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'mouza_id' => true,
        'land_id' => true,
        'owner_id' => true,
        'got_from' => true,
        'amount' => true,
        'details' => true,
        'mouza' => true,
        'land' => true,
        'owner' => true,
    ];
}
