<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Owner Entity
 *
 * @property int $id
 * @property string|null $name
 * @property string|null $gender
 * @property string|null $nid
 * @property string|null $total_land
 * @property string|null $is_root
 * @property string|null $will_distribute
 * @property int|null $spouse
 * @property int|null $sons
 * @property int|null $daughters
 * @property int|null $brothers
 * @property int|null $sisters
 * @property string|null $is_dead
 *
 * @property \App\Model\Entity\LandsDistribution[] $lands_distributions
 * @property \App\Model\Entity\OwnersBrother[] $owners_brothers
 * @property \App\Model\Entity\OwnersDaughter[] $owners_daughters
 * @property \App\Model\Entity\OwnersSister[] $owners_sisters
 * @property \App\Model\Entity\OwnersSon[] $owners_sons
 * @property \App\Model\Entity\OwnersSpouse[] $owners_spouses
 * @property \App\Model\Entity\Land[] $lands
 * @property \App\Model\Entity\Relation[] $relations
 */
class Owner extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'name' => true,
        'gender' => true,
        'nid' => true,
        'total_land' => true,
        'is_root' => true,
        'will_distribute' => true,
        'spouse' => true,
        'sons' => true,
        'daughters' => true,
        'brothers' => true,
        'sisters' => true,
        'is_dead' => true,
        'lands_distributions' => true,
        'owners_brothers' => true,
        'owners_daughters' => true,
        'owners_sisters' => true,
        'owners_sons' => true,
        'owners_spouses' => true,
        'lands' => true,
        'relations' => true,
    ];
}
