<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * OwnersRelation Entity
 *
 * @property int $id
 * @property int|null $owner_id
 * @property int|null $relation_id
 * @property int|null $parent_id
 *
 * @property \App\Model\Entity\Owner|null $owner
 * @property \App\Model\Entity\Relation|null $relation
 * @property \App\Model\Entity\OwnersRelation|null $parent_owners_relation
 * @property \App\Model\Entity\OwnersRelation[] $child_owners_relations
 */
class OwnersRelation extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'owner_id' => true,
        'relation_id' => true,
        'parent_id' => true,
        'owner' => true,
        'relation' => true,
    ];
}
