<?php
declare(strict_types=1);

namespace App\Model\Entity;

use Cake\ORM\Entity;

/**
 * Owner Entity
 *
 * @property int $id
 * @property string|null $name
 * @property string|null $gender
 * @property string|null $nid
 * @property string|null $total_land
 *
 * @property \App\Model\Entity\LandsDistribution[] $lands_distributions
 * @property \App\Model\Entity\OwnersBrother[] $owners_brothers
 * @property \App\Model\Entity\OwnersDaughter[] $owners_daughters
 * @property \App\Model\Entity\OwnersSister[] $owners_sisters
 * @property \App\Model\Entity\OwnersSon[] $owners_sons
 * @property \App\Model\Entity\OwnersSpouse[] $owners_spouses
 * @property \App\Model\Entity\Land[] $lands
 */
class Owner extends Entity
{
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array<string, bool>
     */
    protected $_accessible = [
        'name' => true,
        'gender' => true,
        'nid' => true,
        'total_land' => true,
        'lands_distributions' => true,
        'lands' => true,
    ];
}
