<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Brother $brother
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Brother'), ['action' => 'edit', $brother->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Brother'), ['action' => 'delete', $brother->id], ['confirm' => __('Are you sure you want to delete # {0}?', $brother->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Brothers'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Brother'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="brothers view content">
            <h3><?= h($brother->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $brother->has('owner') ? $this->Html->link($brother->owner->id, ['controller' => 'Owners', 'action' => 'view', $brother->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($brother->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Brother Of') ?></th>
                    <td><?= $brother->brother_of === null ? '' : $this->Number->format($brother->brother_of) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
