<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Daughter $daughter
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Daughter'), ['action' => 'edit', $daughter->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Daughter'), ['action' => 'delete', $daughter->id], ['confirm' => __('Are you sure you want to delete # {0}?', $daughter->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Daughters'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Daughter'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="daughters view content">
            <h3><?= h($daughter->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $daughter->has('owner') ? $this->Html->link($daughter->owner->id, ['controller' => 'Owners', 'action' => 'view', $daughter->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($daughter->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Daughter Of') ?></th>
                    <td><?= $daughter->daughter_of === null ? '' : $this->Number->format($daughter->daughter_of) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
