<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\LandOwner> $landOwners
 */
?>
<div class="landOwners index content">
    <?= $this->Html->link(__('New Land Owner'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Land Owners') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('land_id') ?></th>
                    <th><?= $this->Paginator->sort('owner_id') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($landOwners as $landOwner): ?>
                <tr>
                    <td><?= $this->Number->format($landOwner->id) ?></td>
                    <td><?= $landOwner->has('land') ? $this->Html->link($landOwner->land->id, ['controller' => 'Lands', 'action' => 'view', $landOwner->land->id]) : '' ?></td>
                    <td><?= $landOwner->has('owner') ? $this->Html->link($landOwner->owner->id, ['controller' => 'Owners', 'action' => 'view', $landOwner->owner->id]) : '' ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $landOwner->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $landOwner->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $landOwner->id], ['confirm' => __('Are you sure you want to delete # {0}?', $landOwner->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
