<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\LandOwner $landOwner
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Land Owner'), ['action' => 'edit', $landOwner->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Land Owner'), ['action' => 'delete', $landOwner->id], ['confirm' => __('Are you sure you want to delete # {0}?', $landOwner->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Land Owners'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Land Owner'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="landOwners view content">
            <h3><?= h($landOwner->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Land') ?></th>
                    <td><?= $landOwner->has('land') ? $this->Html->link($landOwner->land->id, ['controller' => 'Lands', 'action' => 'view', $landOwner->land->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $landOwner->has('owner') ? $this->Html->link($landOwner->owner->id, ['controller' => 'Owners', 'action' => 'view', $landOwner->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($landOwner->id) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
