<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Land $land
 */
?>
<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0 font-size-18">Add New Land Record</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="<?=$this->Url->build('/lands/add')?>">Lands</a></li>
                    <li class="breadcrumb-item active">+ Add New</li>
                </ol>
            </div>
        </div>
        <div class="card-title-desc border-top p-2">---</div>
    </div>
</div>
<!-- end page title -->
<div class="row">
    <div class="col-lg-12">
        <?= $this->Form->create($land, ['type' => 'file', 'class' => 'form']) ?>
        <div class="card">
            <div class="card-body">

                <hr>
                <div class="text-left mb-4">
                    <h5>জমির ক্রেতাগণ/মালিকগণ</h5>
                    <hr>
                </div>
                <div class="row">
                    <div class="position-relative form-group">
                        <div class="position-relative form-check">
                            <ul>
                                <?php
                                foreach ($owners as $owner) {
                                    ?>
                                    <li style="display: inline; margin: 15px 0; padding-right: 40px; ">
                                        <label for="<?= 'owner-' . $owner['id'] ?>"
                                               class="form-check-label mr-5" style="cursor:pointer;">
                                            <?= $this->Form->control('owner._ids.' . $owner['id'], ['type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'id' => 'owner-' . $owner['id']]); ?>
                                            <span class=""> <?= $owner['name'] ?> </span>
                                        </label>
                                    </li>
                                    <?php
                                }

                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
                <hr>


                <div class="text-left mb-4">
                    <h5>বিক্রেতার বিবরণ</h5>
                    <hr>
                </div>

                <div class="row">
                    <div class="col-lg-4">
                        <div class="mb-3">
                            <label for="bought_from" class="form-label">বিক্রেতার নাম</label>
                            <?= $this->Form->control('bought_from', ['class' => 'form-control', 'placeholder' => 'বিক্রেতা', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="mb-3">
                            <label for="seller_father_name" class="form-label">বিক্রেতার পিতার নাম</label>
                            <?= $this->Form->control('seller_father_name', ['class' => 'form-control', 'placeholder' => 'ক্রেতার পিতার নাম', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-4">
                        <div class="mb-3">
                            <label for="seller_address" class="form-label">বিক্রেতার ঠিকানা</label>
                            <?= $this->Form->control('seller_address', ['class' => 'form-control', 'placeholder' => 'বিক্রেতার ঠিকানা', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                </div>
                <hr>
                <div class="text-left mb-4"><h5>জমির বিস্তারিত বিবরণ</h5>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="mouza_id" class="form-label">মৌজার নাম</label>
                            <?= $this->Form->control('mouza_id', ['class' => 'form-select', 'div' => false, 'label' => false, 'required' => true, 'empty' => false, 'value' => 2]) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="dolil_no" class="form-label">দলিল নাম্বার</label>
                            <?= $this->Form->control('dolil_no', ['class' => 'form-control', 'placeholder' => 'dolil_no', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="serial_no" class="form-label">ক্রমিক নম্বর </label>
                            <?= $this->Form->control('serial_no', ['class' => 'form-control', 'placeholder' => 'serial_no', 'div' => false, 'label' => false, 'required' => false, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="total_land" class="form-label">ক্রয়কৃত জমির পরিমান</label>
                            <?= $this->Form->control('total_land', ['class' => 'form-control', 'placeholder' => 'decimal (শতাংশ)', 'div' => false, 'label' => false, 'required' => true]) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="amount" class="form-label">মোট মূল্য</label>
                            <?= $this->Form->control('amount', ['class' => 'form-control', 'placeholder' => 'টাকা', 'div' => false, 'label' => false, 'required' => true]) ?>
                        </div>
                    </div>


                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="bought_date" class="form-label">কাওলার তারিখ</label>
                            <?= $this->Form->control('bought_date', ['class' => 'form-control', 'placeholder' => 'Exp: 1982', 'div' => false, 'label' => false, 'required' => true, 'type' => 'date']) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="bought_year" class="form-label">ক্রয় সাল</label>
                            <?= $this->Form->control('bought_year', ['class' => 'form-control', 'placeholder' => 'Exp: 1982', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-6">
                        <div class="mb-3">
                            <label for="khatian_no" class="form-label">খতিয়ান বিবরণ </label>
                            <?= $this->Form->control('khatian_no', ['class' => 'form-control', 'placeholder' => '', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>


                </div>
                <hr>
                <div class="row">

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="daag_no_old" class="form-label">সাবেক দাগ নাম্বার </label>
                            <?= $this->Form->control('daag_no_old', ['class' => 'form-control', 'placeholder' => 'daag_no_old', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="daag_no_hal" class="form-label">হাল দাগ নাম্বার</label>
                            <?= $this->Form->control('daag_no_hal', ['class' => 'form-control', 'placeholder' => 'daag_no_hal', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="kaate" class="form-label">কাতে</label>
                            <?= $this->Form->control('kaate', ['class' => 'form-control', 'placeholder' => 'decimal (শতাংশ)', 'div' => false, 'label' => false, 'required' => true]) ?>
                        </div>
                    </div>

                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="tax_ok" class="form-label">খাজনা দেয়া হয়েছে কিনা? </label>

                            <div class="form-group">
                                <div class="form-check">
                                    <?= $this->Form->control('tax_ok', ['id' => 'tax_ok', 'type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'checked' => false]); ?>
                                    <label class="form-check-label" for="tax_ok">Yes</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="khariz_ok" class="form-label">খারিজ হয়েছে কিনা?</label>
                            <div class="form-group">
                                <div class="form-check">
                                    <?= $this->Form->control('khariz_ok', ['id' => 'khariz_ok', 'type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'checked' => false]); ?>
                                    <label class="form-check-label" for="khariz_ok">Yes</label>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>

                <div class="row">
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <label for="details" class="form-label">অন্যান্য বিবরণ </label>
                            <?= $this->Form->control('details', ['class' => 'form-control', 'placeholder' => '', 'div' => false, 'label' => false, 'required' => false, 'type' => 'textarea']) ?>
                        </div>
                    </div>

                </div>

            </div>

            <!-- end card body -->
            <div class="card-footer text-center">
                <?= $this->Form->button(__('Add Land Record'), ['type' => 'submit', 'class' => 'btn btn-primary w-md']) ?>
            </div>
        </div>
        <!-- end card -->
        <?= $this->Form->end() ?>
    </div>
    <!-- end col -->
</div>
