<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Land $land
 */
use Cake\Collection\Collection;
?>

<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0 font-size-18">Add New Land Record</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="javascript: void(0);">Users</a></li>
                    <li class="breadcrumb-item active">+ Add New</li>
                </ol>
            </div>
        </div>
        <div class="card-title-desc border-top p-2">Please enter details to create a land record</div>
    </div>
</div>
<!-- end page title -->
<div class="row">
    <div class="col-lg-12">
        <?= $this->Form->create($land, ['type' => 'file', 'class' => 'form']) ?>
        <div class="card">
            <div class="card-body">
                <div class="text-left mb-4"><h5>Location Details (জমির ঠিকানা )</h5>
                </div>
                <div class="row">
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="email" class="form-label">Mouza Name (মৌজার নাম)</label>
                            <?= $this->Form->control('mouza_id', ['class' => 'form-select', 'div' => false, 'label' => false, 'required' => true, 'empty' => false]) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="password" class="form-label">dolil_no (দলিল নাম্বার) </label>
                            <?= $this->Form->control('dolil_no', ['class' => 'form-control', 'placeholder' => 'dolil_no', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="password" class="form-label">daag_no_hal (হাল দাগ নাম্বার) </label>
                            <?= $this->Form->control('daag_no_hal', ['class' => 'form-control', 'placeholder' => 'daag_no_hal', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="password" class="form-label">daag_no_old (সাবেক দাগ নাম্বার) </label>
                            <?= $this->Form->control('daag_no_old', ['class' => 'form-control', 'placeholder' => 'daag_no_old', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                </div>
                <hr>
                <div class="row">
                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="email" class="form-label">Total Land (মোট জমির পরিমান শতাংশ)</label>
                            <?= $this->Form->control('total_land', ['class' => 'form-control', 'placeholder' => 'decimal (শতাংশ)', 'div' => false, 'label' => false, 'required' => true]) ?>
                        </div>
                    </div>
                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="password" class="form-label">Tax Okay (খাজনা দেয়া হয়েছে কিনা?) </label>

                            <div class="form-group">
                                <div class="form-check">
                                    <?= $this->Form->control('tax_ok', ['id' => 'tax_ok', 'type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'checked' => false]); ?>
                                    <label class="form-check-label" for="tax_ok">Yes</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="password" class="form-label">Substituted (খারিজ হয়েছে কিনা?) </label>
                            <div class="form-group">
                                <div class="form-check">
                                    <?= $this->Form->control('khariz_ok', ['id' => 'khariz_ok', 'type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'checked' => false]); ?>
                                    <label class="form-check-label" for="khariz_ok">Yes</label>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-2">
                        <div class="mb-3">
                            <label for="password" class="form-label">Bought Year (ক্রয় সাল) </label>
                            <?= $this->Form->control('bought_year', ['class' => 'form-control', 'placeholder' => 'Exp: 1982', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                    <div class="col-lg-4">
                        <div class="mb-3">
                            <label for="password" class="form-label">Bought From (বিক্রেতা) </label>
                            <?= $this->Form->control('bought_from', ['class' => 'form-control', 'placeholder' => 'বিক্রেতা', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>

                </div>

                <hr>
                <div class="text-left mb-4">
                    <h5>Land Owners (জমির শরিকানা মালিকগণ )</h5>
                    <hr>
                </div>
                <div class="row">
                    <div class="position-relative form-group">
                        <div class="position-relative form-check">
                            <ul>
                                <?php
                                $i = 1;
                                $selected = (new Collection($land->owners))->combine('id', 'name')?->toArray();
                                foreach ($owners as $owner) {
                                    ?>
                                    <li>
                                        <label for="<?= 'owner-' . $owner['id'] ?>"
                                               class="form-check-label mr-5" style="cursor:pointer;">
                                            <?= $this->Form->control('owner._ids.' . $owner['id'], ['type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'id' => 'owner-' . $owner['id'], 'checked' => ( (array_key_exists($owner['id'], $selected))  ? true : false)]); ?>
                                            <span class=""> <?= $owner['name'] ?> </span>
                                        </label>
                                    </li>
                                    <?php
                                }

                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <!-- end card body -->
            <div class="card-footer text-center">
                <?= $this->Form->button(__('Add Land Record'), ['type' => 'submit', 'class' => 'btn btn-primary w-md']) ?>
            </div>
        </div>
        <!-- end card -->
        <?= $this->Form->end() ?>
    </div>
    <!-- end col -->
</div>
