<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\Land> $lands
 */
?>

<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0 font-size-18">All the Lands Records</h4>
            <div class="page-title-right">
                <ol class="breadcrumb m-0">
                    <li class="breadcrumb-item"><a href="<?=$this->Url->build('/lands/add')?>">Lands</a></li>
                    <li class="breadcrumb-item active">+ Add New</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<!-- end page title -->

<div class="row">
    <div class="col-12">
        <div class="card">

            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-striped table-hover dataTable">
                        <thead>
                        <tr>
                            <th><?= $this->Paginator->sort('id', 'ক্রমিক') ?></th>
                            <th><?= $this->Paginator->sort('mouza_id', 'মৌজার নাম') ?></th>
                            <th>জমির বর্ণনা</th>
                            <th>জমির শরিকানা মালিকগণ</th>
                            <th><?= $this->Paginator->sort('total_land', 'মোট জমির পরিমান শতাংশ') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php foreach ($lands as $land) {
                            //pr($land);
                            $owners = '';
                            if (isset($land['owners'])) {
                                $perOwner = number_format(($land->total_land / count($land['owners'])), 4, '.', '');
                                foreach ($land['owners'] as $item) {
                                    $owners .= '<span class="d-block"><i class="bx bx-right-arrow-alt"></i>  '.$item->name.' => '. number_format($land->total_land,'4','.').'/'.count($land['owners']).' = <code> '.$perOwner.' শতাংশ </code>  </span>';
                                }
                            }

                            $distribution = '';
                            if (isset($land['lands_distributions'])) {
                                foreach ($land['lands_distributions'] as $item) {
                                    $distribution .= '<span class="d-block"><i class="bx bx-right-arrow-alt"></i>  '.$item->details.'  </span>';
                                }
                            }

                            ?>
                            <tr>
                                <td><?= $this->Number->format($land->id) ?></td>
                                <td><?= $land->mouza_id === null ? '' : $land->mouza->name ?></td>
                                <td>
                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> দলিল নাম্বার: <?= h($land->dolil_no) ?> </span>

                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i>  ক্রমিক নম্বর : <?= $land->serial_no ?> </span>

                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> হাল দাগ নাম্বার: <?= h($land->daag_no_hal) ?></span>
                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> সাবেক দাগ নাম্বার: <?= h($land->daag_no_old) ?></span>

                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> জমির পরিমাণ: <?= h($land->total_land) ?> শতাংশ | কাতে: <?= $land->kaate?></span>


                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> খাজনা দেয়া হয়েছে কিনা?: <?= h($land->tax_ok) ?></span>
                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> খারিজ হয়েছে কিনা?: <?= h($land->khariz_ok) ?></span>
                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> ক্রয় সাল: <?= h($land->bought_year) ?></span>

                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i> খতিয়ান বিবরণ: <?= h($land->khatian_no) ?></span>
                                     <span class="d-block">---------</span>
                                    <span class="d-block"><i class="bx bx-right-arrow-alt"></i>
                                        বিক্রেতা: <?= h($land->bought_from) ?> <br>
                                        পিতা: <?= h($land->seller_father_name) ?> <br>
                                        ঠিকানা: <?= h($land->seller_address) ?> <br>
                                    </span>
                                </td>
                                <td class="font-size-12">
                                    <?= $owners ?>
                                    <hr>
                                    <div class="" style="height: 150px; overflow: scroll; display: none;">
                                    <?php //echo  $distribution; ?>
                                    </div>

                                </td>
                                <td><?= $land->total_land === null ? '' : $this->Number->format($land->total_land) ?></td>
                                <td class="actions">
                                    <i class="bx bx-right-arrow-alt"></i> <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $land->id], ['confirm' => __('Are you sure you want to delete # {0}?', $land->id)]) ?>
                                </td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
                <div class="paginator">
                    <ul class="pagination">
                        <?= $this->Paginator->first('<< ' . __('first')) ?>
                        <?= $this->Paginator->prev('< ' . __('previous')) ?>
                        <?= $this->Paginator->numbers() ?>
                        <?= $this->Paginator->next(__('next') . ' >') ?>
                        <?= $this->Paginator->last(__('last') . ' >>') ?>
                    </ul>
                    <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
                </div>
            </div>

        </div>
    </div> <!-- end col -->
</div> <!-- end row -->
