<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Land $land
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Land'), ['action' => 'edit', $land->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Land'), ['action' => 'delete', $land->id], ['confirm' => __('Are you sure you want to delete # {0}?', $land->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Lands'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Land'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="lands view content">
            <h3><?= h($land->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Dolil No') ?></th>
                    <td><?= h($land->dolil_no) ?></td>
                </tr>
                <tr>
                    <th><?= __('Daag No Hal') ?></th>
                    <td><?= h($land->daag_no_hal) ?></td>
                </tr>
                <tr>
                    <th><?= __('Daag No Old') ?></th>
                    <td><?= h($land->daag_no_old) ?></td>
                </tr>
                <tr>
                    <th><?= __('Tax Ok') ?></th>
                    <td><?= h($land->tax_ok) ?></td>
                </tr>
                <tr>
                    <th><?= __('Khariz Ok') ?></th>
                    <td><?= h($land->khariz_ok) ?></td>
                </tr>
                <tr>
                    <th><?= __('Bought Year') ?></th>
                    <td><?= h($land->bought_year) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($land->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Mouza Id') ?></th>
                    <td><?= $land->mouza_id === null ? '' : $this->Number->format($land->mouza_id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Total Land') ?></th>
                    <td><?= $land->total_land === null ? '' : $this->Number->format($land->total_land) ?></td>
                </tr>
            </table>
            <div class="text">
                <strong><?= __('Bought From') ?></strong>
                <blockquote>
                    <?= $this->Text->autoParagraph(h($land->bought_from)); ?>
                </blockquote>
            </div>
            <div class="related">
                <h4><?= __('Related Land Owners') ?></h4>
                <?php if (!empty($land->land_owners)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Land Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($land->land_owners as $landOwners) : ?>
                        <tr>
                            <td><?= h($landOwners->id) ?></td>
                            <td><?= h($landOwners->land_id) ?></td>
                            <td><?= h($landOwners->owner_id) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'LandOwners', 'action' => 'view', $landOwners->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'LandOwners', 'action' => 'edit', $landOwners->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'LandOwners', 'action' => 'delete', $landOwners->id], ['confirm' => __('Are you sure you want to delete # {0}?', $landOwners->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
