<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\Mouza> $mouzas
 */
?>
<div class="mouzas index content">
    <?= $this->Html->link(__('New Mouza'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Mouzas') ?></h3>
    <div class="table-responsive">
        <table class="table table-hover table-striped">
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('name') ?></th>
                    <th><?= $this->Paginator->sort('created') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($mouzas as $mouza): ?>
                <tr>
                    <td><?= $this->Number->format($mouza->id) ?></td>
                    <td><?= h($mouza->name) ?></td>
                    <td><?= h($mouza->created) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['controller' => 'lands', 'action' => 'index', $mouza->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $mouza->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $mouza->id], ['confirm' => __('Are you sure you want to delete # {0}?', $mouza->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
