<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Owner $owner
 * @var \Cake\Collection\CollectionInterface|string[] $lands
 */
?>

<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0 font-size-18">Add New Land Owner</h4>
        </div>
    </div>
</div>
<!-- end page title -->
<div class="row">
    <div class="col-lg-12">
        <?= $this->Form->create($owner, ['type' => 'file', 'class' => 'form']) ?>
        <div class="card">
            <div class="card-body">
                <div class="text-left mb-4"><h5>Relation Details</h5>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <div class="mb-3">
                            <label for="password" class="form-label">Name (নাম) </label>
                            <?= $this->Form->control('name', ['class' => 'form-control', 'placeholder' => 'নাম', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="email" class="form-label">Gender </label>
                            <?= $this->Form->control('gender', ['options' => ['m' => 'male', 'f' => 'female'], 'class' => 'form-select', 'div' => false, 'label' => false, 'required' => true, 'empty' => false]) ?>
                        </div>
                    </div>
                </div>
            </div>

            <!-- end card body -->
            <div class="card-footer text-center">
                <?= $this->Form->button(__('Add Land Owner'), ['type' => 'submit', 'class' => 'btn btn-primary w-md']) ?>
            </div>
        </div>
        <!-- end card -->
        <?= $this->Form->end() ?>
    </div>
    <!-- end col -->
</div>
