<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Owner $owner
 * @var string[]|\Cake\Collection\CollectionInterface $lands
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Form->postLink(
                __('Delete'),
                ['action' => 'delete', $owner->id],
                ['confirm' => __('Are you sure you want to delete # {0}?', $owner->id), 'class' => 'side-nav-item']
            ) ?>
            <?= $this->Html->link(__('List Owners'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="owners form content">
            <?= $this->Form->create($owner) ?>
            <fieldset>
                <legend><?= __('Edit Owner') ?></legend>
                <?php
                    echo $this->Form->control('name');
                    echo $this->Form->control('gender');
                    echo $this->Form->control('total_land');
                    echo $this->Form->control('lands._ids', ['options' => $lands]);
                ?>
            </fieldset>
            <?= $this->Form->button(__('Submit')) ?>
            <?= $this->Form->end() ?>
        </div>
    </div>
</div>
