<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\Owner> $owners
 */
?>
<div class="owners index content">
    <?= $this->Html->link(__('New Owner'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Owners') ?></h3>
    <div class="table-responsive">
        <table class="table table-hover">
            <thead>
            <tr>
                <th><?= $this->Paginator->sort('id') ?></th>
                <th><?= $this->Paginator->sort('name') ?></th>
                <th><?= $this->Paginator->sort('total_land', 'মোট জমি শতাংশ') ?></th>
                <th><?= $this->Paginator->sort('spouse', 'স্ত্রী') ?></th>
                <th><?= $this->Paginator->sort('sons', 'ছেলে') ?></th>
                <th><?= $this->Paginator->sort('daughters', 'মেয়ে') ?></th>
                <th><?= $this->Paginator->sort('brothers', 'ভাই') ?></th>
                <th><?= $this->Paginator->sort('sisters', 'বোন') ?></th>
                <th>Relation</th>
                <th class="actions"><?= __('Actions') ?></th>
            </tr>
            </thead>
            <tbody>
            <?php foreach ($owners as $owner) {
                 // pr($owner);
                ?>
                <tr>
                    <td><?= $this->Number->format($owner->id) ?></td>
                    <td><?= h($owner->name) ?></td>
                    <td><?= $owner->total_land === null ? '' : $this->Number->format($owner->total_land) ?></td>
                    <td><?= $owner->spouse ?></td>
                    <td><?= $owner->sons ?></td>
                    <td><?= $owner->daughters ?></td>
                    <td><?= $owner->brothers ?></td>
                    <td><?= $owner->sisters ?></td>
                    <td>--</td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $owner->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $owner->id]) ?>
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
