<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Owner $owner
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Owner'), ['action' => 'edit', $owner->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Owner'), ['action' => 'delete', $owner->id], ['confirm' => __('Are you sure you want to delete # {0}?', $owner->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Owners'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Owner'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="owners view content">
            <h3><?= h($owner->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Name') ?></th>
                    <td><?= h($owner->name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Gender') ?></th>
                    <td><?= h($owner->gender) ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($owner->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Total Land') ?></th>
                    <td><?= $owner->total_land === null ? '' : $this->Number->format($owner->total_land) ?></td>
                </tr>
            </table>
            <div class="related">
                <h4><?= __('Related Lands') ?></h4>
                <?php if (!empty($owner->lands)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Mouza Id') ?></th>
                            <th><?= __('Dolil No') ?></th>
                            <th><?= __('Daag No Hal') ?></th>
                            <th><?= __('Daag No Old') ?></th>
                            <th><?= __('Total Land') ?></th>
                            <th><?= __('Tax Ok') ?></th>
                            <th><?= __('Khariz Ok') ?></th>
                            <th><?= __('Bought Year') ?></th>
                            <th><?= __('Bought From') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->lands as $lands) : ?>
                        <tr>
                            <td><?= h($lands->id) ?></td>
                            <td><?= h($lands->mouza_id) ?></td>
                            <td><?= h($lands->dolil_no) ?></td>
                            <td><?= h($lands->daag_no_hal) ?></td>
                            <td><?= h($lands->daag_no_old) ?></td>
                            <td><?= h($lands->total_land) ?></td>
                            <td><?= h($lands->tax_ok) ?></td>
                            <td><?= h($lands->khariz_ok) ?></td>
                            <td><?= h($lands->bought_year) ?></td>
                            <td><?= h($lands->bought_from) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'Lands', 'action' => 'view', $lands->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'Lands', 'action' => 'edit', $lands->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'Lands', 'action' => 'delete', $lands->id], ['confirm' => __('Are you sure you want to delete # {0}?', $lands->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Lands Distributions') ?></h4>
                <?php if (!empty($owner->lands_distributions)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Land Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Got From') ?></th>
                            <th><?= __('Amount') ?></th>
                            <th><?= __('Details') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->lands_distributions as $landsDistributions) : ?>
                        <tr>
                            <td><?= h($landsDistributions->id) ?></td>
                            <td><?= h($landsDistributions->land_id) ?></td>
                            <td><?= h($landsDistributions->owner_id) ?></td>
                            <td><?= h($landsDistributions->got_from) ?></td>
                            <td><?= h($landsDistributions->amount) ?></td>
                            <td><?= h($landsDistributions->details) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'LandsDistributions', 'action' => 'view', $landsDistributions->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'LandsDistributions', 'action' => 'edit', $landsDistributions->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'LandsDistributions', 'action' => 'delete', $landsDistributions->id], ['confirm' => __('Are you sure you want to delete # {0}?', $landsDistributions->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Owners Brothers') ?></h4>
                <?php if (!empty($owner->owners_brothers)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Brother Of') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->owners_brothers as $ownersBrothers) : ?>
                        <tr>
                            <td><?= h($ownersBrothers->id) ?></td>
                            <td><?= h($ownersBrothers->owner_id) ?></td>
                            <td><?= h($ownersBrothers->brother_of) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'OwnersBrothers', 'action' => 'view', $ownersBrothers->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'OwnersBrothers', 'action' => 'edit', $ownersBrothers->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'OwnersBrothers', 'action' => 'delete', $ownersBrothers->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersBrothers->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Owners Daughters') ?></h4>
                <?php if (!empty($owner->owners_daughters)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Daughter Of') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->owners_daughters as $ownersDaughters) : ?>
                        <tr>
                            <td><?= h($ownersDaughters->id) ?></td>
                            <td><?= h($ownersDaughters->owner_id) ?></td>
                            <td><?= h($ownersDaughters->daughter_of) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'OwnersDaughters', 'action' => 'view', $ownersDaughters->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'OwnersDaughters', 'action' => 'edit', $ownersDaughters->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'OwnersDaughters', 'action' => 'delete', $ownersDaughters->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersDaughters->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Owners Sisters') ?></h4>
                <?php if (!empty($owner->owners_sisters)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Sister Of') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->owners_sisters as $ownersSisters) : ?>
                        <tr>
                            <td><?= h($ownersSisters->id) ?></td>
                            <td><?= h($ownersSisters->owner_id) ?></td>
                            <td><?= h($ownersSisters->sister_of) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'OwnersSisters', 'action' => 'view', $ownersSisters->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'OwnersSisters', 'action' => 'edit', $ownersSisters->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'OwnersSisters', 'action' => 'delete', $ownersSisters->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersSisters->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Owners Sons') ?></h4>
                <?php if (!empty($owner->owners_sons)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Son Of') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->owners_sons as $ownersSons) : ?>
                        <tr>
                            <td><?= h($ownersSons->id) ?></td>
                            <td><?= h($ownersSons->owner_id) ?></td>
                            <td><?= h($ownersSons->son_of) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'OwnersSons', 'action' => 'view', $ownersSons->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'OwnersSons', 'action' => 'edit', $ownersSons->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'OwnersSons', 'action' => 'delete', $ownersSons->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersSons->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
            <div class="related">
                <h4><?= __('Related Owners Spouses') ?></h4>
                <?php if (!empty($owner->owners_spouses)) : ?>
                <div class="table-responsive">
                    <table>
                        <tr>
                            <th><?= __('Id') ?></th>
                            <th><?= __('Owner Id') ?></th>
                            <th><?= __('Spouse Of') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                        <?php foreach ($owner->owners_spouses as $ownersSpouses) : ?>
                        <tr>
                            <td><?= h($ownersSpouses->id) ?></td>
                            <td><?= h($ownersSpouses->owner_id) ?></td>
                            <td><?= h($ownersSpouses->spouse_of) ?></td>
                            <td class="actions">
                                <?= $this->Html->link(__('View'), ['controller' => 'OwnersSpouses', 'action' => 'view', $ownersSpouses->id]) ?>
                                <?= $this->Html->link(__('Edit'), ['controller' => 'OwnersSpouses', 'action' => 'edit', $ownersSpouses->id]) ?>
                                <?= $this->Form->postLink(__('Delete'), ['controller' => 'OwnersSpouses', 'action' => 'delete', $ownersSpouses->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersSpouses->id)]) ?>
                            </td>
                        </tr>
                        <?php endforeach; ?>
                    </table>
                </div>
                <?php endif; ?>
            </div>
        </div>
    </div>
</div>
