<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\App\Model\Entity\OwnersSon> $ownersSons
 */
?>
<div class="ownersSons index content">
    <?= $this->Html->link(__('New Owners Son'), ['action' => 'add'], ['class' => 'button float-right']) ?>
    <h3><?= __('Owners Sons') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('owner_id') ?></th>
                    <th><?= $this->Paginator->sort('son_of') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($ownersSons as $ownersSon): ?>
                <tr>
                    <td><?= $this->Number->format($ownersSon->id) ?></td>
                    <td><?= $ownersSon->has('owner') ? $this->Html->link($ownersSon->owner->id, ['controller' => 'Owners', 'action' => 'view', $ownersSon->owner->id]) : '' ?></td>
                    <td><?= $ownersSon->son_of === null ? '' : $this->Number->format($ownersSon->son_of) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $ownersSon->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $ownersSon->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $ownersSon->id], ['confirm' => __('Are you sure you want to delete # {0}?', $ownersSon->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
