<?php
$types = [
    'spouses' => 'Spouse (স্ত্রী)',
    'sons' => 'Sons (ছেলে)',
    'daughters' => 'Daughters (মেয়ে)',
    'brothers' => 'brothers (ভাই)',
    'sisters' => 'sisters (বোন)',
];
?>
<!-- start page title -->
<div class="row">
    <div class="col-12">
        <div class="page-title-box d-sm-flex align-items-center justify-content-between">
            <h4 class="mb-sm-0 font-size-18">Add New Relation</h4>
        </div>
    </div>
</div>
<!-- end page title -->
<div class="row">
    <div class="col-lg-12">
        <?= $this->Form->create(null, ['type' => 'file', 'class' => 'form']) ?>
        <div class="card">
            <div class="card-body">
                <div class="text-left mb-4"><h5>Relation Details</h5>
                </div>
                <div class="row">

                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="password" class="form-label">Name (নাম) </label>
                            <?= $this->Form->control('name', ['class' => 'form-control', 'placeholder' => 'নাম', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="password" class="form-label">National ID (জাতীয় পরিচয়পত্র) </label>
                            <?= $this->Form->control('nid', ['class' => 'form-control', 'placeholder' => 'nid', 'div' => false, 'label' => false, 'required' => true, 'type' => 'text']) ?>
                        </div>
                    </div>
                    <div class="col-lg-3">
                        <div class="mb-3">
                            <label for="email" class="form-label">Relation Type (সম্পর্কের ধরণ)</label>
                            <?= $this->Form->control('relation_id', ['options' => $relArr, 'class' => 'form-select', 'div' => false, 'label' => false, 'required' => true, 'empty' => false]) ?>
                        </div>
                    </div>
                </div>
                <hr>
                <div class="text-left mb-4">
                    <h5>Relation with Land Owners (জমির শরিকানা মালিকগণ )</h5>
                    <hr>
                </div>
                <div class="row">
                    <div class="position-relative form-group">
                        <div class="position-relative form-check">
                            <ul>
                                <?php
                                foreach ($owners as $owner) {
                                    ?>
                                    <li>
                                        <label for="<?= 'owner-' . $owner['id'] ?>"
                                               class="form-check-label mr-5" style="cursor:pointer;">
                                            <?= $this->Form->control('relation._ids.' . $owner['id'], ['type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'id' => 'owner-' . $owner['id']]); ?>
                                            <span class=""> <?= $owner['name'] ?> </span>
                                        </label>
                                    </li>
                                    <?php
                                }

                                ?>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>

            <!-- end card body -->
            <div class="card-footer text-center">
                <?= $this->Form->button(__('Add Relation'), ['type' => 'submit', 'class' => 'btn btn-primary w-md']) ?>
            </div>
        </div>
        <!-- end card -->
        <?= $this->Form->end() ?>
    </div>
    <!-- end col -->
</div>
