<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Owner $owner
 * @var \Cake\Collection\CollectionInterface|string[] $lands
 */
?>

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
                <h4 class="mb-sm-0 font-size-18">Search</h4>
            </div>
        </div>
    </div>
    <!-- end page title -->
    <div class="row">
        <div class="col-lg-12">
            <?= $this->Form->create(null, ['class' => 'form']) ?>
            <div class="card">
                <div class="card-body">

                    <hr>
                    <div class="text-left mb-4">
                        <h5>জমির ক্রেতাগণ/মালিকগণ</h5>
                        <hr>
                    </div>
                    <div class="row">
                        <div class="position-relative form-group">
                            <div class="position-relative form-check">
                                <ul>
                                    <?php
                                    foreach ($owners as $owner) {
                                        ?>
                                        <li style="display: inline; margin: 15px 0; padding-right: 40px; ">
                                            <label for="<?= 'owner-' . $owner['id'] ?>"
                                                   class="form-check-label mr-5" style="cursor:pointer;">
                                                <?= $this->Form->control('owner._ids.' . $owner['id'], ['type' => 'checkbox', 'class' => 'form-check-input', 'label' => false, 'id' => 'owner-' . $owner['id']]); ?>
                                                <span class=""> <?= $owner['name'] ?> </span>
                                            </label>
                                        </li>
                                        <?php
                                    }

                                    ?>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <hr>

                    <div class="row">
                        <div class="col-lg-2">
                            <div class="mb-3">
                                <label for="mouza_id" class="form-label">মৌজার নাম</label>
                                <?= $this->Form->control('mouza_id', ['class' => 'form-select', 'div' => false, 'label' => false, 'required' => false, 'empty' => '--any mouza--']) ?>
                            </div>
                        </div>

                        <div class="col-lg-2">
                            <div class="mb-3">
                                <label for="" class="form-label">দাগ নাম্বার</label>
                                <?= $this->Form->control('dag_number', ['class' => 'form-control', 'placeholder' => 'দাগ নাম্বার', 'div' => false, 'label' => false, 'required' => false, 'type' => 'text']) ?>
                            </div>
                        </div>

                        <div class="col-lg-2">
                            <div class="mb-3">
                                <label for="" class="form-label">দলিল নাম্বার</label>
                                <?= $this->Form->control('dolil_no', ['class' => 'form-control', 'placeholder' => '', 'div' => false, 'label' => false, 'required' => false, 'type' => 'text']) ?>
                            </div>
                        </div>

                        <div class="col-lg-4">
                            <div class="mb-3">
                                <label for="bought_from" class="form-label">বিক্রেতার নাম</label>
                                <?= $this->Form->control('bought_from', ['class' => 'form-control', 'placeholder' => 'বিক্রেতা', 'div' => false, 'label' => false, 'required' => false, 'type' => 'text']) ?>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- end card body -->
                <div class="card-footer text-center">
                    <?= $this->Form->button(__('Search'), ['type' => 'submit', 'class' => 'btn btn-primary w-md']) ?>
                </div>
            </div>
            <!-- end card -->
            <?= $this->Form->end() ?>
        </div>
        <!-- end col -->
    </div>

<?php
if (isset($lands)) {
    ?>

    <div class="row">
        <div class="col-12">
            <div class="card">

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-hover dataTable">
                            <thead>
                            <tr>
                                <th><?= $this->Paginator->sort('id', 'ক্রমিক') ?></th>
                                <th><?= $this->Paginator->sort('mouza_id', 'মৌজার নাম') ?></th>
                                <th>জমির বর্ণনা</th>
                                <th>জমির শরিকানা মালিকগণ</th>
                                <th><?= $this->Paginator->sort('total_land', 'মোট জমির পরিমান শতাংশ') ?></th>
                                <th class="actions"><?= __('Actions') ?></th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php

                            $totalLand = 0.0;
                            foreach ($lands as $land) {
                                $totalLand += $land->total_land;
                                //pr($land);
                                $owners = '';
                                if (isset($land['owners'])) {
                                    $perOwner = number_format(($land->total_land / count($land['owners'])), 4, '.', '');
                                    foreach ($land['owners'] as $item) {
                                        $owners .= '<span class="d-block"><i class="bx bx-right-arrow-alt"></i>  ' . $item->name . ' => ' . number_format($land->total_land, '4', '.') . '/' . count($land['owners']) . ' = <code> ' . $perOwner . ' শতাংশ </code>  </span>';
                                    }
                                }

                                $distribution = '';
                                if (isset($land['lands_distributions'])) {
                                    foreach ($land['lands_distributions'] as $item) {
                                        $distribution .= '<span class="d-block"><i class="bx bx-right-arrow-alt"></i>  ' . $item->details . '  </span>';
                                    }
                                }

                                ?>
                                <tr>
                                    <td><?= $this->Number->format($land->id) ?></td>
                                    <td><?= $land->mouza_id === null ? '' : $land->mouza->name ?></td>
                                    <td>

                                        <?php
                                        $hDag = ltrim(rtrim(trim($land->daag_no_hal), ','), ',');
                                        $hDags = explode(',', $hDag);
                                        sort($hDags);
                                        $dags = implode(", ", $hDags);

                                        $oDag = ltrim(rtrim(trim($land->daag_no_old), ','), ',');
                                        $oDags = explode(',', $oDag);
                                        sort($oDags);
                                        $dags0 = implode(", ", $oDags);

                                        ?>


                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> দলিল নাম্বার: <?= h($land->dolil_no) ?> </span>

                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i>  ক্রমিক নম্বর : <?= $land->serial_no ?> </span>

                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> হাল দাগ নাম্বার: <?= $dags ?></span>
                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> সাবেক দাগ নাম্বার: <?= $dags0 ?></span>

                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> জমির পরিমাণ: <?= h($land->total_land) ?> শতাংশ | কাতে: <?= $land->kaate ?></span>


                                        <span class="d-block"><i class="bx bx-right-arrow-alt"></i> খাজনা দেয়া হয়েছে কিনা?: <?= h($land->tax_ok) ?></span>
                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> খারিজ হয়েছে কিনা?: <?= h($land->khariz_ok) ?></span>
                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> ক্রয় সাল: <?= h($land->bought_year) ?> <span class="text-danger"> (<?= h($land->bought_date->format('d M, Y')) ?>) </span> </span>

                                        <span class="d-block"><i
                                                class="bx bx-right-arrow-alt"></i> খতিয়ান বিবরণ: <?= h($land->khatian_no) ?></span>
                                        <span class="d-block">---------</span>
                                        <span class="d-block"><i class="bx bx-right-arrow-alt"></i>
                                        বিক্রেতা: <?= h($land->bought_from) ?> <br>
                                        পিতা: <?= h($land->seller_father_name) ?> <br>
                                        ঠিকানা: <?= h($land->seller_address) ?> <br>
                                    </span>
                                    </td>
                                    <td class="font-size-12">
                                        <?= $owners ?>

                                    </td>
                                    <td><?= $land->total_land === null ? '' : $this->Number->format($land->total_land) ?></td>
                                    <td class="actions">
                                        <i class="bx bx-right-arrow-alt"></i> <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $land->id], ['confirm' => __('Are you sure you want to delete # {0}?', $land->id)]) ?>
                                    </td>
                                </tr>
                            <?php } ?>
                            </tbody>
                        </table>
                        <table class="table table-striped table-hover dataTable">
                            <tr>
                                <td><em style="font-size: 22px;"> Total Land: </em></td>
                                <td><em style="font-size: 22px; font-weight: bold; color: red">  <?= $totalLand ?>
                                        শতাংশ </em></td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                            </tr>
                        </table>
                    </div>
                </div>

            </div>
        </div> <!-- end col -->
    </div> <!-- end row -->

    <?php
}
?>
