<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Sister $sister
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Sister'), ['action' => 'edit', $sister->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Sister'), ['action' => 'delete', $sister->id], ['confirm' => __('Are you sure you want to delete # {0}?', $sister->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Sisters'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Sister'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="sisters view content">
            <h3><?= h($sister->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $sister->has('owner') ? $this->Html->link($sister->owner->id, ['controller' => 'Owners', 'action' => 'view', $sister->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($sister->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Sister Of') ?></th>
                    <td><?= $sister->sister_of === null ? '' : $this->Number->format($sister->sister_of) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
