<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Son $son
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Son'), ['action' => 'edit', $son->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Son'), ['action' => 'delete', $son->id], ['confirm' => __('Are you sure you want to delete # {0}?', $son->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Sons'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Son'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="sons view content">
            <h3><?= h($son->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $son->has('owner') ? $this->Html->link($son->owner->id, ['controller' => 'Owners', 'action' => 'view', $son->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($son->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Son Of') ?></th>
                    <td><?= $son->son_of === null ? '' : $this->Number->format($son->son_of) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
