<?php
/**
 * @var \App\View\AppView $this
 * @var \App\Model\Entity\Spouse $spouse
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Spouse'), ['action' => 'edit', $spouse->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Spouse'), ['action' => 'delete', $spouse->id], ['confirm' => __('Are you sure you want to delete # {0}?', $spouse->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Spouses'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('New Spouse'), ['action' => 'add'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column-responsive column-80">
        <div class="spouses view content">
            <h3><?= h($spouse->id) ?></h3>
            <table>
                <tr>
                    <th><?= __('Owner') ?></th>
                    <td><?= $spouse->has('owner') ? $this->Html->link($spouse->owner->id, ['controller' => 'Owners', 'action' => 'view', $spouse->owner->id]) : '' ?></td>
                </tr>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= $this->Number->format($spouse->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Spouse Of') ?></th>
                    <td><?= $spouse->spouse_of === null ? '' : $this->Number->format($spouse->spouse_of) ?></td>
                </tr>
            </table>
        </div>
    </div>
</div>
