<!doctype html>
<html lang="en">
<head>
    <?= $this->Html->charset() ?>
    <title><?= isset($title) ? $title : @$selected . '-' . @$action ?> - Property</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Premium Multipurpose Admin & Dashboard Template" name="description"/>
    <meta content="Themesbrand" name="author"/>
    <meta name="robots" content="noindex">
    <!-- App favicon -->
    <?= $this->Html->meta(
        'favicon.ico',
        '/favicon.ico',
        ['type' => 'icon']
    );
    ?>
    <!-- plugin css -->
    <?= $this->Html->css(['../assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.css']) ?>

    <!-- Sweet Alert-->
    <?= $this->Html->css(['../assets/libs/sweetalert2/sweetalert2.min.css']) ?>

    <!-- DataTables -->
    <?= $this->Html->css(['../assets/libs/datatables.net-bs4/css/dataTables.bootstrap4.min.css']) ?>
    <?= $this->Html->css(['../assets/libs/datatables.net-buttons-bs4/css/buttons.bootstrap4.min.css']) ?>

    <!-- Responsive datatable examples -->
    <?= $this->Html->css(['../assets/libs/datatables.net-responsive-bs4/css/responsive.bootstrap4.min.css']) ?>

    <!-- choices css -->
    <?= $this->Html->css(['../assets/libs/choices.js/public/assets/styles/choices.min.css']) ?>


    <!-- preloader css -->
    <?= $this->Html->css(['../assets/css/preloader.min.css']) ?>
    <!-- Bootstrap Css -->
    <?= $this->Html->css(['../assets/css/bootstrap.min.css']) ?>

    <!-- datepicker css -->
    <?= $this->Html->css(['../assets/libs/flatpickr/flatpickr.min.css']) ?>


    <!-- dropzone css -->
    <?= $this->Html->css(['../assets/libs/dropzone/min/dropzone.min.css']) ?>

    <!-- glightbox css -->
    <?= $this->Html->css(['../assets/libs/glightbox/css/glightbox.min.css']) ?>

    <link href="https://code.jquery.com/ui/1.12.1/themes/ui-lightness/jquery-ui.css" rel="stylesheet"/>

    <!-- Icons Css -->
    <?= $this->Html->css(['../assets/css/icons.min.css']) ?>
    <!-- App Css-->
    <?= $this->Html->css(['../assets/css/app.min.css']) ?>
    <?= $this->Html->css(['custom.css']) ?>
</head>
<body>


<!-- <body data-layout="horizontal"> -->
<!-- Begin page -->
<div id="layout-wrapper">
    <?= $this->element('header_admin'); ?>
    <!-- ========== Left Sidebar Start ========== -->
    <?= $this->element('sidebar_admin'); ?>
    <!-- Left Sidebar End -->


    <!-- ============================================================== -->
    <!-- Start right Content here -->
    <!-- ============================================================== -->
    <div class="main-content">
        <div class="page-content">
            <div class="container-fluid">
                <div class="action-msg">
                    <?= $this->Flash->render() ?>
                </div>
                <?= $this->fetch('content') ?>
            </div>
            <!-- container-fluid -->
        </div>
        <!-- End Page-content -->
        <?= $this->element('footer'); ?>
    </div>
    <!-- end main content-->
</div>
<!-- END layout-wrapper -->

<!-- Right Sidebar -->
<div class="right-bar">
    <div data-simplebar class="h-100">
        <div class="rightbar-title d-flex align-items-center p-3">
            <h5 class="m-0 me-2">Theme Customizer</h5>
            <a href="javascript:void(0);" class="right-bar-toggle ms-auto">
                <i class="mdi mdi-close noti-icon"></i>
            </a>
        </div>
        <!-- Settings -->
        <hr class="m-0"/>
        <div class="p-4">
            <h6 class="mb-3">Layout</h6>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout"
                       id="layout-vertical" value="vertical">
                <label class="form-check-label" for="layout-vertical">Vertical</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout"
                       id="layout-horizontal" value="horizontal">
                <label class="form-check-label" for="layout-horizontal">Horizontal</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2">Layout Mode</h6>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-mode"
                       id="layout-mode-light" value="light">
                <label class="form-check-label" for="layout-mode-light">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-mode"
                       id="layout-mode-dark" value="dark">
                <label class="form-check-label" for="layout-mode-dark">Dark</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2">Layout Width</h6>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-width"
                       id="layout-width-fuild" value="fuild"
                       onchange="document.body.setAttribute('data-layout-size', 'fluid')">
                <label class="form-check-label" for="layout-width-fuild">Fluid</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-width"
                       id="layout-width-boxed" value="boxed"
                       onchange="document.body.setAttribute('data-layout-size', 'boxed')">
                <label class="form-check-label" for="layout-width-boxed">Boxed</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2">Layout Position</h6>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-position"
                       id="layout-position-fixed" value="fixed"
                       onchange="document.body.setAttribute('data-layout-scrollable', 'false')">
                <label class="form-check-label" for="layout-position-fixed">Fixed</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-position"
                       id="layout-position-scrollable" value="scrollable"
                       onchange="document.body.setAttribute('data-layout-scrollable', 'true')">
                <label class="form-check-label" for="layout-position-scrollable">Scrollable</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2">Topbar Color</h6>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="topbar-color"
                       id="topbar-color-light" value="light"
                       onchange="document.body.setAttribute('data-topbar', 'light')">
                <label class="form-check-label" for="topbar-color-light">Light</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="topbar-color"
                       id="topbar-color-dark" value="dark" onchange="document.body.setAttribute('data-topbar', 'dark')">
                <label class="form-check-label" for="topbar-color-dark">Dark</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2 sidebar-setting">Sidebar Size</h6>

            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-size"
                       id="sidebar-size-default" value="default"
                       onchange="document.body.setAttribute('data-sidebar-size', 'lg')">
                <label class="form-check-label" for="sidebar-size-default">Default</label>
            </div>
            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-size"
                       id="sidebar-size-compact" value="compact"
                       onchange="document.body.setAttribute('data-sidebar-size', 'md')">
                <label class="form-check-label" for="sidebar-size-compact">Compact</label>
            </div>
            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-size"
                       id="sidebar-size-small" value="small"
                       onchange="document.body.setAttribute('data-sidebar-size', 'sm')">
                <label class="form-check-label" for="sidebar-size-small">Small (Icon View)</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2 sidebar-setting">Sidebar Color</h6>

            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-color"
                       id="sidebar-color-light" value="light"
                       onchange="document.body.setAttribute('data-sidebar', 'light')">
                <label class="form-check-label" for="sidebar-color-light">Light</label>
            </div>
            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-color"
                       id="sidebar-color-dark" value="dark"
                       onchange="document.body.setAttribute('data-sidebar', 'dark')">
                <label class="form-check-label" for="sidebar-color-dark">Dark</label>
            </div>
            <div class="form-check sidebar-setting">
                <input class="form-check-input" type="radio" name="sidebar-color"
                       id="sidebar-color-brand" value="brand"
                       onchange="document.body.setAttribute('data-sidebar', 'brand')">
                <label class="form-check-label" for="sidebar-color-brand">Brand</label>
            </div>

            <h6 class="mt-4 mb-3 pt-2">Direction</h6>

            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-direction"
                       id="layout-direction-ltr" value="ltr">
                <label class="form-check-label" for="layout-direction-ltr">LTR</label>
            </div>
            <div class="form-check form-check-inline">
                <input class="form-check-input" type="radio" name="layout-direction"
                       id="layout-direction-rtl" value="rtl">
                <label class="form-check-label" for="layout-direction-rtl">RTL</label>
            </div>

        </div>
    </div> <!-- end slimscroll-menu-->
</div>
<!-- /Right-bar -->

<!-- Right bar overlay-->
<div class="rightbar-overlay"></div>

<script>
    var rootDomain = '<?= $paths['rootDomain'] ?>';
    var selController = '<?=$selected?>';
    var selAction = '<?=$action?>';
</script>
<!-- JAVASCRIPT -->
<?= $this->Html->script("../assets/libs/jquery/jquery.min.js") ?>

<!-- ✅ load jQuery UI ✅ -->
<script
    src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"
    integrity="sha512-uto9mlQzrs59VwILcLiRYeLKPPbS/bT71da/OEBYEwcdNUk8jYIy+D176RYoop1Da+f9mvkYrmj5MCLZWEtQuA=="
    crossorigin="anonymous"
    referrerpolicy="no-referrer"
></script>


<?= $this->Html->script("../assets/libs/bootstrap/js/bootstrap.bundle.min.js") ?>
<?= $this->Html->script("../assets/libs/metismenu/metisMenu.min.js") ?>
<?= $this->Html->script("../assets/libs/simplebar/simplebar.min.js") ?>
<?= $this->Html->script("../assets/libs/node-waves/waves.min.js") ?>
<?= $this->Html->script("../assets/libs/feather-icons/feather.min.js") ?>
<!-- pace js -->
<?= $this->Html->script("../assets/libs/pace-js/pace.min.js") ?>

<!-- apexcharts -->
<?= $this->Html->script("../assets/libs/apexcharts/apexcharts.min.js") ?>

<!-- Plugins js-->
<?= $this->Html->script("../assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.min.js") ?>
<?= $this->Html->script("../assets/libs/admin-resources/jquery.vectormap/maps/jquery-jvectormap-world-mill-en.js") ?>

<!-- Required datatable js -->
<?= $this->Html->script("../assets/libs/datatables.net/js/jquery.dataTables.min.js") ?>
<?= $this->Html->script("../assets/libs/datatables.net-bs4/js/dataTables.bootstrap4.min.js") ?>

<!-- Sweet Alerts js -->
<?= $this->Html->script("../assets/libs/sweetalert2/sweetalert2.min.js") ?>

<!-- ckeditor -->
<!--< ?= $this->Html->script("../assets/libs/@ckeditor/ckeditor5-build-classic/build/ckeditor.js") ?>-->

<script src="//cdn.ckeditor.com/4.12.1/standard/ckeditor.js"></script>

<!-- datepicker js -->
<?= $this->Html->script("../assets/libs/flatpickr/flatpickr.min.js") ?>

<!-- dropzone js -->
<?= $this->Html->script("../assets/libs/dropzone/min/dropzone.min.js") ?>

<!-- lightbox js -->
<?= $this->Html->script("../assets/libs/glightbox/js/glightbox.min.js") ?>

<!-- choices js -->
<?= $this->Html->script("../assets/libs/choices.js/public/assets/scripts/choices.min.js") ?>

<!-- pace js -->
<?= $this->Html->script("../assets/libs/pace-js/pace.min.js") ?>

<!-- dashboard init -->
<?php /*= $this->Html->script("../assets/js/pages/dashboard.init.js") */?>
<?= $this->Html->script("../assets/js/app.js") ?>

<!-- include common custom JS file -->
<?= $this->Html->script('common.js') ?>

<?php
//echo $selected.' -> '. $currentMethod;
// include page-specific custom js file
if (file_exists(WWW_ROOT . "js" . DS . "customs" . DS . "$selected.js")) {
    echo $this->Html->script("customs/$selected.js", ['defer']);
}
// include page specific custom js file
if (file_exists(WWW_ROOT . "js" . DS . "customs" . DS . "{$selected}-{$currentMethod}.js")) {
    echo $this->Html->script("customs/{$selected}-{$currentMethod}.js", ['defer']);
}
// include page specific custom js file
if (isset($selectedFromController) && (file_exists(WWW_ROOT . "js" . DS . "customs" . DS . "$selectedFromController.js"))) {
    echo $this->Html->script("customs/$selectedFromController.js", ['defer']);
}
?>

</body>
</html>
